Subject: Re: [ftpext] FWD: I-D Action: draft-yevstifeyev-ftp-uri-scheme-05.txt

From: John Cowan <[email-masked]>
Date: Mon, 8 Aug 2011 21:13:42 -0400

John C Klensin scripsit:

> It seems to me that there are two logical possibilities for an
> FTP URI:
> 
> (a) Do something absolutely minimal that satisfies a large
> number of cases.  This is probably anonymous login only, stream
> and image transfer only, probably PASV only these days, maybe
> even a restriction to an ASCII command stream.  If an email
> address is needed for login, a provision for picking that up
> from an environment variable rather than having it incorporated
> into the URI, would be important.
> 
> (b) Fully-reflect the protocol and all of its standardized
> options.  This would get fairly complex for a URI because one
> would not only want to supply a lot of information but might
> want to supply it conditionally.

The third possibility is to describe what actually works on the
browsers and other URI-basec clients that are actually in use,
which I believe is what is being done.

> Between those two points, there isn't a lot other than slippery
> slope.

A slippery slope is where people actually live.

-- 
One Word to write them all,             John Cowan <[email-masked]>
  One Access to find them,              http://www.ccil.org/~cowan
One Excel to count them all,
  And thus to Windows bind them.                --Mike Champion

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Aug 2011 14:52:07 -0400

It's been a week and a half since the original message was posted, but
I had to discuss this with the other appsawg chairs, the ftpext2
chairs, and the Applications ADs.

On Sun, Jul 31, 2011 at 12:39 AM, Mykyta Yevstifeyev
<[email-masked]> wrote:
> Sorry for cross-posting to 6 addresses :-); please send all your comments to
> [email-masked].

No, please do not.  This document is NOT to be discussed on apps-discuss.
1. It will not be processed in the appsawg.
2. The ftpext2 chairs have told me that it will not be processed in
ftpext2.  It is not in their charter, and the WG is not interested in
rechartering to add it.
3. The Apps ADs have told me that they will not sponsor it as an
individual submission.

In other words, as an IETF document, this is dead.  There is
insufficient energy and interest in the IETF to hash this document
out.  Please do not continue work on this document.  In any case,
please do not discuss it on the apps-discuss mailing list.

Barry Leiba, appsawg chair

>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>>
>>        Title           : The&#39;ftp&#39; URI Scheme
>>        Author(s)       : Mykyta Yevstifeyev
>>        Filename        : draft-yevstifeyev-ftp-uri-scheme-05.txt
>>        Pages           : 29
>>        Date            : 2011-07-24
>>
>>    This document specifies the&#39;ftp&#39; Uniform Resource Identifier
>> (URI)
>>    scheme, which is used to refer to resources accessible via File
>>    Transfer Protocol (FTP).  It updates RFC 959 and RFC 1738.
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-yevstifeyev-ftp-uri-scheme-05.txt

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 12 Aug 2011 06:36:31 +0300

> please do not discuss it on the apps-discuss mailing list.

Barry,

I'm very unlikely to stop working on the document.  Anyway, nothing in 
your message disallows me to wait for better times, when the situation 
changes.

Mykyta

> _______________________________________________
> Uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uri-review
>